
package cn.com.poc.thirdparty.resource.demand.ai.entity.chatgpt.moderation;

public class CategoryScores {

    private Double hate;
    private Double hateThreatening;
    private Double selfHarm;
    private Double sexual;
    private Double sexualMinors;
    private Double violence;
    private Double violenceGraphic;

    public Double getHate() {
        return hate;
    }

    public void setHate(Double hate) {
        this.hate = hate;
    }

    public Double getHateThreatening() {
        return hateThreatening;
    }

    public void setHateThreatening(Double hateThreatening) {
        this.hateThreatening = hateThreatening;
    }

    public Double getSelfHarm() {
        return selfHarm;
    }

    public void setSelfHarm(Double selfHarm) {
        this.selfHarm = selfHarm;
    }

    public Double getSexual() {
        return sexual;
    }

    public void setSexual(Double sexual) {
        this.sexual = sexual;
    }

    public Double getSexualMinors() {
        return sexualMinors;
    }

    public void setSexualMinors(Double sexualMinors) {
        this.sexualMinors = sexualMinors;
    }

    public Double getViolence() {
        return violence;
    }

    public void setViolence(Double violence) {
        this.violence = violence;
    }

    public Double getViolenceGraphic() {
        return violenceGraphic;
    }

    public void setViolenceGraphic(Double violenceGraphic) {
        this.violenceGraphic = violenceGraphic;
    }

}
